import { MarkRenderProps } from '../../types/mark'

export const MarkRenderSignature = ({ value, mark }: MarkRenderProps) => {
  const paths = value ? JSON.parse(value) : []

  return (
    <svg viewBox={`0 0 ${mark.location.width} ${mark.location.height}`}>
      {paths.map((path: string) => (
        <path d={path} stroke="black" fill="none" />
      ))}
    </svg>
  )
}
