import { MarkType } from '../types/drawing'
import { MarkConfigs } from '../types/mark'
import { MarkInputSignature } from './MarkInputs/Signature'
import { MarkInputText } from './MarkInputs/Text'
import { MarkRenderSignature } from './MarkRender/Signature'

export const MARK_TYPE_CONFIG: MarkConfigs = {
  [MarkType.TEXT]: {
    input: MarkInputText,
    render: ({ value }) => <>{value}</>
  },
  [MarkType.SIGNATURE]: {
    input: MarkInputSignature,
    render: MarkRenderSignature
  }
}
